/* $Id: ruby_xml_xpath_context.h,v 1.2 2002/10/14 04:57:20 sean Exp $ */

/* Please see the LICENSE file for copyright and distribution information */

#ifndef __RUBY_XML_XPATH_CONTEXT__
#define __RUBY_XML_XPATH_CONTEXT__

VALUE cXMLXPathContext;

typedef struct ruby_xml_xpath_context {
  VALUE xd;
  xmlXPathContextPtr ctxt;
} ruby_xml_xpath_context;

void ruby_xml_xpath_context_free(ruby_xml_xpath_context *rxxpc);
VALUE ruby_xml_xpath_context_new(VALUE class, VALUE xd,
				 xmlXPathContextPtr ctxt);
VALUE ruby_xml_xpath_context_new2(VALUE xd, xmlXPathContextPtr ctxt);
VALUE ruby_xml_xpath_context_new3(VALUE xd);
VALUE ruby_xml_xpath_context_new4(VALUE rnode);
void ruby_init_xml_xpath_context(void);

#endif
